Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetGroupCallInviteLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.HttpUrl>
it.tdlight.jni.TdApi.GetGroupCallInviteLink

Enclosing class:
  TdApi

public static final class TdApi.GetGroupCallInviteLink extends TdApi.Function<TdApi.HttpUrl>
Returns invite link to a video chat in a public chat.

Returns `HttpUrl`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canSelfUnmute`
Pass true if the invite link needs to contain an invite hash, passing which to joinGroupCall would allow the invited user to unmute themselves.
`static final int`
`CONSTRUCTOR`
`int`
`groupCallId`
Group call identifier.

## Constructor Summary

Constructors
Constructor
Description
`GetGroupCallInviteLink()`
Returns invite link to a video chat in a public chat.
`GetGroupCallInviteLink(int groupCallId, boolean canSelfUnmute)`
Returns invite link to a video chat in a public chat.
`GetGroupCallInviteLink(DataInput input)`
Returns invite link to a video chat in a public chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### canSelfUnmute

public boolean canSelfUnmute
Pass true if the invite link needs to contain an invite hash, passing which to joinGroupCall would allow the invited user to unmute themselves. Requires groupCall.canBeManaged group call flag.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetGroupCallInviteLink

public GetGroupCallInviteLink()
Returns invite link to a video chat in a public chat.

Returns `HttpUrl`

### GetGroupCallInviteLink

public GetGroupCallInviteLink(int groupCallId, boolean canSelfUnmute)
Returns invite link to a video chat in a public chat.

Returns `HttpUrl`

Parameters:
  `groupCallId` - int Group call identifier.
  `canSelfUnmute` - boolean Pass true if the invite link needs to contain an invite hash, passing which to joinGroupCall would allow the invited user to unmute themselves. Requires groupCall.canBeManaged group call flag.

### GetGroupCallInviteLink

public GetGroupCallInviteLink(DataInput input) throws IOException
Returns invite link to a video chat in a public chat.

Returns `HttpUrl`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`